import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";
import { provinceGetGuildsService } from "./province-get-guilds";

export const provinceChainsEditAllocation = createAsyncThunk(
  "PROVINCE_EDIT_CHAIN_ALLOCATION",
  async (d, { dispatch }) => {
    try {
      dispatch(LOADING_START());
      const { data, status } = await axios.put("chain-allocation/0/", d);
      dispatch(provinceGetGuildsService());
      dispatch(LOADING_END());
      return { data, status };
    } catch (e) {
      dispatch(LOADING_END());
      return { error: e.response.data.result };
    }
  }
);
